<?php	
	defined('_JEXEC') or die ('Restricted access');
	$document = & JFactory::getDocument() ;		
	$styleUrl = JURI::base(true).'/components/com_eventbooking/assets/css/style.css';		
	$document->addStylesheet( $styleUrl, 'text/css', null, null );	
	$user = & JFactory::getUser();
	require_once JPATH_ROOT.DS.'components'.DS.'com_eventbooking'.DS.'helper'.DS.'helper.php';
	EventBookingHelper::loadLanguage();	
	$db =  JFactory::getDBO();		
	$numberCity = $params->get('number_city', 0);
	$showNumberEvents = $params->get('show_number_events', 1);
	if (version_compare(JVERSION, '1.6.0', 'ge')) {
	    $sql = 	 'SELECT a.id, a.city, a.name, COUNT(b.id) AS total_events  FROM #__eb_locations AS a LEFT JOIN #__eb_events AS b ON (a.id = b.location_id AND (b.access = 0 OR b.access IN ('.implode(',', $user->getAuthorisedViewLevels()).'))) WHERE '
			.' a.published=1 '
			.' GROUP BY a.city '
			.' HAVING total_events > 0 '
			.' ORDER BY a.city, a.name '
			.( $numberCity ? ' LIMIT '.$numberCity : '')
	    ;
	} else {
	    $sql = 	 'SELECT a.id, a.name, COUNT(b.id) AS total_events  FROM #__eb_locations AS a LEFT JOIN #__eb_events AS b ON (a.id = b.location_id AND b.access <= '.$user->get('aid').') WHERE '
			.' a.published=1 '
			.' GROUP BY a.id '
			.' HAVING total_events > 0 '
			.' ORDER BY a.name '
			.( $numberCity ? ' LIMIT '.$numberCity : '')
	    ;
	}			
	$db->setQuery($sql) ;
	
	$rows = $db->loadObjectList() ;	
	$itemId = EventBookingHelper::getItemid() ;
			
	require(JModuleHelper::getLayoutPath('mod_eb_city', 'default'));
?>